Bob Mottram 10 years ago
parent
commit
2be0611b4e

+ 11
- 2
src/freedombone-addcert View File

1
 #!/bin/bash
1
 #!/bin/bash
2
+#
3
+# .---.                  .              .
4
+# |                      |              |
5
+# |--- .--. .-.  .-.  .-.|  .-. .--.--. |.-.  .-. .--.  .-.
6
+# |    |   (.-' (.-' (   | (   )|  |  | |   )(   )|  | (.-'
7
+# '    '     --'  --'  -' -  -' '  '   -' -'   -' '   -  --'
8
+#
9
+#                    Freedom in the Cloud
10
+#
2
 # A script for creating self-signed certificates on Debian
11
 # A script for creating self-signed certificates on Debian
3
 
12
 
4
 # License
13
 # License
41
     echo '  -o --organisation [name]   Optional organisation name'
50
     echo '  -o --organisation [name]   Optional organisation name'
42
     echo '  -u --unit [name]           Optional unit name'
51
     echo '  -u --unit [name]           Optional unit name'
43
     echo ''
52
     echo ''
44
-	exit 0
53
+    exit 0
45
 }
54
 }
46
 
55
 
47
 while [[ $# > 1 ]]
56
 while [[ $# > 1 ]]
85
 
94
 
86
 if [ ! $HOSTNAME ]; then
95
 if [ ! $HOSTNAME ]; then
87
     echo 'No hostname specified'
96
     echo 'No hostname specified'
88
-	exit 5748
97
+    exit 5748
89
 fi
98
 fi
90
 
99
 
91
 if ! which openssl > /dev/null ;then
100
 if ! which openssl > /dev/null ;then

+ 10
- 1
src/freedombone-addemail View File

1
 #!/bin/bash
1
 #!/bin/bash
2
+#
3
+# .---.                  .              .
4
+# |                      |              |
5
+# |--- .--. .-.  .-.  .-.|  .-. .--.--. |.-.  .-. .--.  .-.
6
+# |    |   (.-' (.-' (   | (   )|  |  | |   )(   )|  | (.-'
7
+# '    '     --'  --'  -' -  -' '  '   -' -'   -' '   -  --'
8
+#
9
+#                    Freedom in the Cloud
10
+#
2
 
11
 
3
 # Adds an email address rule to the email configuration
12
 # Adds an email address rule to the email configuration
4
 
13
 
28
     echo ''
37
     echo ''
29
     echo 'freedombone-addemail -u [username] -e [email address] -l [mailing list name]'
38
     echo 'freedombone-addemail -u [username] -e [email address] -l [mailing list name]'
30
     echo ''
39
     echo ''
31
-	exit 0
40
+    exit 0
32
 }
41
 }
33
 
42
 
34
 while [[ $# > 1 ]]
43
 while [[ $# > 1 ]]

+ 10
- 1
src/freedombone-addlist View File

1
 #!/bin/bash
1
 #!/bin/bash
2
+#
3
+# .---.                  .              .
4
+# |                      |              |
5
+# |--- .--. .-.  .-.  .-.|  .-. .--.--. |.-.  .-. .--.  .-.
6
+# |    |   (.-' (.-' (   | (   )|  |  | |   )(   )|  | (.-'
7
+# '    '     --'  --'  -' -  -' '  '   -' -'   -' '   -  --'
8
+#
9
+#                    Freedom in the Cloud
10
+#
2
 
11
 
3
 # Adds a mailing list to the email configuration
12
 # Adds a mailing list to the email configuration
4
 
13
 
28
     echo ''
37
     echo ''
29
     echo 'freedombone-addlist -u [username] -l [mailing list name] -s [subject tag]'
38
     echo 'freedombone-addlist -u [username] -l [mailing list name] -s [subject tag]'
30
     echo ''
39
     echo ''
31
-	exit 0
40
+    exit 0
32
 }
41
 }
33
 
42
 
34
 while [[ $# > 1 ]]
43
 while [[ $# > 1 ]]

+ 11
- 2
src/freedombone-ignore View File

1
 #!/bin/bash
1
 #!/bin/bash
2
+#
3
+# .---.                  .              .
4
+# |                      |              |
5
+# |--- .--. .-.  .-.  .-.|  .-. .--.--. |.-.  .-. .--.  .-.
6
+# |    |   (.-' (.-' (   | (   )|  |  | |   )(   )|  | (.-'
7
+# '    '     --'  --'  -' -  -' '  '   -' -'   -' '   -  --'
8
+#
9
+#                    Freedom in the Cloud
10
+#
2
 
11
 
3
 # Adds an email ignore rule for either an email address
12
 # Adds an email ignore rule for either an email address
4
 # or text in the subject line
13
 # or text in the subject line
29
     echo ''
38
     echo ''
30
     echo 'freedombone-ignore -u [username] -e [mail address] -t [text in subject line]'
39
     echo 'freedombone-ignore -u [username] -e [mail address] -t [text in subject line]'
31
     echo ''
40
     echo ''
32
-	exit 0
41
+    exit 0
33
 }
42
 }
34
 
43
 
35
 while [[ $# > 1 ]]
44
 while [[ $# > 1 ]]
62
 if ! [[ $MYUSERNAME && $EMAIL_ADDRESS ]]; then
71
 if ! [[ $MYUSERNAME && $EMAIL_ADDRESS ]]; then
63
     if ! [[ $MYUSERNAME && $SUBJECT_TEXT ]]; then
72
     if ! [[ $MYUSERNAME && $SUBJECT_TEXT ]]; then
64
         show_help
73
         show_help
65
-	fi
74
+    fi
66
 fi
75
 fi
67
 
76
 
68
 MUTTRC=/home/$MYUSERNAME/.muttrc
77
 MUTTRC=/home/$MYUSERNAME/.muttrc

+ 9
- 0
src/freedombone-prep View File

1
 #!/bin/bash
1
 #!/bin/bash
2
+#
3
+# .---.                  .              .
4
+# |                      |              |
5
+# |--- .--. .-.  .-.  .-.|  .-. .--.--. |.-.  .-. .--.  .-.
6
+# |    |   (.-' (.-' (   | (   )|  |  | |   )(   )|  | (.-'
7
+# '    '     --'  --'  -' -  -' '  '   -' -'   -' '   -  --'
8
+#
9
+#                    Freedom in the Cloud
10
+#
2
 # This script installs the Debian image to the microSD card, and should
11
 # This script installs the Debian image to the microSD card, and should
3
 # be run on your laptop/desktop with the microSD card plugged in.
12
 # be run on your laptop/desktop with the microSD card plugged in.
4
 
13
 

+ 9
- 0
src/freedombone-renew-cert View File

1
 #!/bin/bash
1
 #!/bin/bash
2
+#
3
+# .---.                  .              .
4
+# |                      |              |
5
+# |--- .--. .-.  .-.  .-.|  .-. .--.--. |.-.  .-. .--.  .-.
6
+# |    |   (.-' (.-' (   | (   )|  |  | |   )(   )|  | (.-'
7
+# '    '     --'  --'  -' -  -' '  '   -' -'   -' '   -  --'
8
+#
9
+#                    Freedom in the Cloud
10
+#
2
 # A script for renewing SSL/TLS certificates
11
 # A script for renewing SSL/TLS certificates
3
 
12
 
4
 # License
13
 # License

+ 9
- 0
src/freedombone-rmemail View File

1
 #!/bin/bash
1
 #!/bin/bash
2
+#
3
+# .---.                  .              .
4
+# |                      |              |
5
+# |--- .--. .-.  .-.  .-.|  .-. .--.--. |.-.  .-. .--.  .-.
6
+# |    |   (.-' (.-' (   | (   )|  |  | |   )(   )|  | (.-'
7
+# '    '     --'  --'  -' -  -' '  '   -' -'   -' '   -  --'
8
+#
9
+#                    Freedom in the Cloud
10
+#
2
 
11
 
3
 # Removes an email address rule from the email configuration
12
 # Removes an email address rule from the email configuration
4
 
13
 

+ 9
- 0
src/freedombone-rmlist View File

1
 #!/bin/bash
1
 #!/bin/bash
2
+#
3
+# .---.                  .              .
4
+# |                      |              |
5
+# |--- .--. .-.  .-.  .-.|  .-. .--.--. |.-.  .-. .--.  .-.
6
+# |    |   (.-' (.-' (   | (   )|  |  | |   )(   )|  | (.-'
7
+# '    '     --'  --'  -' -  -' '  '   -' -'   -' '   -  --'
8
+#
9
+#                    Freedom in the Cloud
10
+#
2
 
11
 
3
 # Removes a mailing list to the email configuration
12
 # Removes a mailing list to the email configuration
4
 
13
 

+ 9
- 0
src/freedombone-unignore View File

1
 #!/bin/bash
1
 #!/bin/bash
2
+#
3
+# .---.                  .              .
4
+# |                      |              |
5
+# |--- .--. .-.  .-.  .-.|  .-. .--.--. |.-.  .-. .--.  .-.
6
+# |    |   (.-' (.-' (   | (   )|  |  | |   )(   )|  | (.-'
7
+# '    '     --'  --'  -' -  -' '  '   -' -'   -' '   -  --'
8
+#
9
+#                    Freedom in the Cloud
10
+#
2
 
11
 
3
 # Removes an ignore rule for either an email address
12
 # Removes an ignore rule for either an email address
4
 # or text in the subject line
13
 # or text in the subject line